package Inline::CPP::Config;

# Configuration data for CPP.pm; Compiler, libs, iostream filename, #defines.

use strict;
use warnings;

our $VERSION = '0.80';
#$VERSION = eval $VERSION; ## no critic (eval)

our $compiler = 'clang++ -DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -DNO_POSIX_2008_LOCALE -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -Wno-reserved-user-defined-literal';
our $libs     = '-lc++';

our $iostream_fn = 'iostream';

our $cpp_flavor_defs =  <<'END_FLAVOR_DEFINITIONS';

#define __INLINE_CPP_STANDARD_HEADERS 1
#define __INLINE_CPP_NAMESPACE_STD 1


END_FLAVOR_DEFINITIONS

1;

__END__

=head1 NAME

Inline::CPP::Config - for internal consumption; nothing to document
